﻿@using DocumentFormat.OpenXml.Wordprocessing
@{
    ViewBag.Title = "Strategic Impact";
    Layout = "~/Views/Shared/_FixedLayout.cshtml";
}

<link href="~/Content/plugins/datatables/css/dataTables.bootstrap.css" rel="stylesheet" />
<script src="~/Content/plugins/datatables/js/jquery.dataTables.min.js"></script>
<script src="~/Content/plugins/datatables/js/jquery.dataTables.columnFilter.js"></script>
<script src="~/Content/plugins/datatables/js/dataTables.bootstrap.js"></script>


<script type="text/javascript">

    var oTable;
    function loadStrategicImpact() {
        var GetDetail = '@Url.Action("getStrategicImpactDetail", "StrategicImpact", new { rowid = @ViewBag.RowId })';
        $.ajax(GetDetail, {
            contentType: 'application/json; charset=utf-8',
            dataType: 'json',
            type: 'POST',
            success: function (GetDetail) {
                if (GetDetail.success) {
                    document.getElementById("txtyear").value = GetDetail.year;
                    document.getElementById("hdid").value = GetDetail.id;
                    document.getElementById("comfinid").value = '@ViewBag.RowId';
                    document.getElementById("ew_catastrophic").value = GetDetail.ew_catastrophic;
                    document.getElementById("ew_major").value = GetDetail.ew_major;
                    document.getElementById("ew_moderate").value = GetDetail.ew_moderate;
                    document.getElementById("ew_minor").value = GetDetail.ew_minor;
                    document.getElementById("ew_insignificant").value = GetDetail.ew_insignificant;
                    document.getElementById("op_catastrophic").value = GetDetail.op_catastrophic;
                    document.getElementById("op_major").value = GetDetail.op_major;
                    document.getElementById("op_moderate").value = GetDetail.op_moderate;
                    document.getElementById("op_minor").value = GetDetail.op_minor;
                    document.getElementById("op_insignificant").value = GetDetail.op_insignificant;
                    document.getElementById("hr_catastrophic").value = GetDetail.hr_catastrophic;
                    document.getElementById("hr_major").value = GetDetail.hr_major;
                    document.getElementById("hr_moderate").value = GetDetail.hr_moderate;
                    document.getElementById("hr_minor").value = GetDetail.hr_minor;
                    document.getElementById("hr_insignificant").value = GetDetail.hr_insignificant;
                    document.getElementById("lr_catastrophic").value = GetDetail.lr_catastrophic;
                    document.getElementById("lr_major").value = GetDetail.lr_major;
                    document.getElementById("lr_moderate").value = GetDetail.lr_moderate;
                    document.getElementById("lr_minor").value = GetDetail.lr_minor;
                    document.getElementById("lr_insignificant").value = GetDetail.lr_insignificant;
                    document.getElementById("fi_catastrophic").value = GetDetail.fi_catastrophic;
                    document.getElementById("fi_major").value = GetDetail.fi_major;
                    document.getElementById("fi_moderate").value = GetDetail.fi_moderate;
                    document.getElementById("fi_minor").value = GetDetail.fi_minor;
                    document.getElementById("fi_insignificant").value = GetDetail.fi_insignificant;
                }
            },
            error: function () {

            }
        });
    }
    $(document).ready(function () {

        loadStrategicImpact();

        $("#btnSave").click(function () {
            //validation
            if ($('#txtyear').val().length == 0) {
                bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please fill mandatory field (<label class='required'></label>)", function () {
                    setTimeout(function () { }, 500);
                });
            } else {

                //confirmation
                bootbox.confirm({
                    title: "<i class='fa fa-warning fa-2x'></i> Save Confirmation",
                    message: 'Are you sure you want to save this data. <br>If not, click Cancel',
                    buttons: {
                        'cancel': {
                            label: '<i class="fa fa-times"></i> Cancel',
                            className: 'btn-default pull-left'
                        },
                        'confirm': {
                            label: '<i class="fa fa-check"></i> Yes, Continue save',
                            className: 'btn-primary pull-right'
                        }
                    },
                    callback: function (result) {
                        if (result) {
                            var StrategicImpactList = [
                                 {
                                     id: $('#hdid').val(),
                                     comfinid: $('#comfinid').val(),
                                     year: $('#txtyear').val(),
                                     ew_catastrophic: $('#ew_catastrophic').val(),
                                     ew_major: $('#ew_major').val(),
                                     ew_moderate: $('#ew_moderate').val(),
                                     ew_minor: $('#ew_minor').val(),
                                     ew_insignificant: $('#ew_insignificant').val(),
                                     op_catastrophic: $('#op_catastrophic').val(),
                                     op_major: $('#op_major').val(),
                                     op_moderate: $('#op_moderate').val(),
                                     op_minor: $('#op_minor').val(),
                                     op_insignificant: $('#op_insignificant').val(),
                                     hr_catastrophic: $('#hr_catastrophic').val(),
                                     hr_major: $('#hr_major').val(),
                                     hr_moderate: $('#hr_moderate').val(),
                                     hr_minor: $('#hr_minor').val(),
                                     hr_insignificant: $('#hr_insignificant').val(),
                                     lr_catastrophic: $('#lr_catastrophic').val(),
                                     lr_major: $('#lr_major').val(),
                                     lr_moderate: $('#lr_moderate').val(),
                                     lr_minor: $('#lr_minor').val(),
                                     lr_insignificant: $('#lr_insignificant').val(),
                                     fi_catastrophic: $('#fi_catastrophic').val(),
                                     fi_major: $('#fi_major').val(),
                                     fi_moderate: $('#fi_moderate').val(),
                                     fi_minor: $('#fi_minor').val(),
                                     fi_insignificant: $('#fi_insignificant').val()
                                 }
                            ];

                            StrategicImpactList.push();

                            var formData = new FormData();
                            formData.append("StrategicImpactList", JSON.stringify(StrategicImpactList));


                            //Save Process
                            $.ajax({
                                type: "POST",
                                url: '@Url.Action("SaveStrategicImpact", "StrategicImpact")',
                                data: formData,
                                dataType: 'json',
                                contentType: false,
                                processData: false,
                                //beforeSend: function () {
                                //    //$("#loader").show();
                                //},
                                success: function (data) {
                                    bootbox.dialog({
                                        message: data.message,
                                        title: data.title,
                                        buttons: {
                                            main: {
                                                label: "<i class='fa fa-check'></i> Ok",
                                                className: "btn-primary",
                                                callback: function () {
                                                    if (result) {
                                                        if (data.status) {
                                                            window.location.href = '@Url.Action("StrategicImpact", "StrategicImpact")';
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    });
                                }
                            });

                        }
                    }
                });
            }


        });
    });


</script>

<style>
    .label-def-margin {
        margin-top: 6px;
    }

    .required:after {
        content: "*";
        color: red;
    }
</style>

<input type="hidden" id="hdid" />
<input type="hidden" id="comfinid" />
<div class="col-sm-12">
    <div class="panel panel-primary" style="margin-bottom: 0;">
        <div class="panel-heading">
            Edit Strategic Impact

        </div>
        <div class="panel-body">
            <!--Year-->
            <div class="row">
                <div class="col-sm-1 text-center"></div>
                <div class="col-sm-3"><label class="label-def-margin" for="txtyear">Year Company Financial Data</label></div>
                <div class="col-sm-2"><input class="form-control text-center" readonly="true" id="txtyear"></input></div>
            </div>
            <hr />
            <!--Title-->
            <div class="row">
                <div class="col-sm-1"></div>
                <div class="col-sm-2 text-center"><label class="label-def-margin">Entity Wide</label></div>
                <div class="col-sm-2 text-center"><label class="label-def-margin">Output</label></div>
                <div class="col-sm-2 text-center"><label class="label-def-margin">Human Resource</label></div>
                <div class="col-sm-2 text-center"><label class="label-def-margin">Legal & Regulatory</label></div>
                <div class="col-sm-2 text-center"><label class="label-def-margin">Financial</label></div>
                <div class="col-sm-1"></div>
            </div>
            <!--Catastrophic-->
            <div class="row">
                <div class="col-sm-1"></div>
                <div class="col-sm-10 text-center alert alert-warning2" role="alert"><strong>Catastrophic</strong></div>
                <div class="col-sm-1"></div>
            </div>
            <div class="row">
                <div class="col-sm-1"></div>
                <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5"  id="ew_catastrophic"></textarea></div>
                <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5"  id="op_catastrophic"></textarea></div>
                <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5"  id="hr_catastrophic"></textarea></div>
                <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5"  id="lr_catastrophic"></textarea></div>
                <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5"  id="fi_catastrophic"></textarea></div>
                <div class="col-sm-1"></div>
            </div>
            <!--Major-->
            <div class="row">
                <div class="col-sm-1"></div>
                <div class="col-sm-10 text-center alert alert-warning3" role="alert"><strong>Major</strong></div>
                <div class="col-sm-1"></div>
            </div>
            <div class="row">
                <div class="col-sm-1"></div>
                <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5"  id="ew_major"></textarea></div>
                <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5"  id="op_major"></textarea></div>
                <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5"  id="hr_major"></textarea></div>
                <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5"  id="lr_major"></textarea></div>
                <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5"  id="fi_major"></textarea></div>
                <div class="col-sm-1"></div>
            </div>
            <!--Moderate-->
            <div class="row">
                <div class="col-sm-1"></div>
                <div class="col-sm-10 text-center alert alert-warning4" role="alert"><strong>Moderate</strong></div>
                <div class="col-sm-1"></div>
            </div>
            <div class="row">
                <div class="col-sm-1"></div>
                <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5"  id="ew_moderate"></textarea></div>
                <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5"  id="op_moderate"></textarea></div>
                <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5"  id="hr_moderate"></textarea></div>
                <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5"  id="lr_moderate"></textarea></div>
                <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5"  id="fi_moderate"></textarea></div>
                <div class="col-sm-1"></div>
            </div>
            <!--Minor-->
            <div class="row">
                <div class="col-sm-1"></div>
                <div class="col-sm-10 text-center alert alert-warning5" role="alert"><strong>Minor</strong></div>
                <div class="col-sm-1"></div>
            </div>
            <div class="row">
                <div class="col-sm-1"></div>
                <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5"  id="ew_minor"></textarea></div>
                <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5"  id="op_minor"></textarea></div>
                <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5"  id="hr_minor"></textarea></div>
                <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5"  id="lr_minor"></textarea></div>
                <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5"  id="fi_minor"></textarea></div>
                <div class="col-sm-1"></div>
            </div>
            <!--Insignificant-->
            <div class="row">
                <div class="col-sm-1"></div>
                <div class="col-sm-10 text-center alert alert-warning6" role="alert"><strong>Insignificant</strong></div>
                <div class="col-sm-1"></div>
            </div>
            <div class="row">
                <div class="col-sm-1"></div>
                <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5"  id="ew_insignificant"></textarea></div>
                <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5"  id="op_insignificant"></textarea></div>
                <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5"  id="hr_insignificant"></textarea></div>
                <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5"  id="lr_insignificant"></textarea></div>
                <div class="col-sm-2"><textarea class="form-control text-left" style="font-size: 7pt;width: 145px;" rows="5"  id="fi_insignificant"></textarea></div>
                <div class="col-sm-1"></div>
            </div>
        </div>
        <div class="panel-footer">
            <div class="row">
                <div class="col-sm-12">
                    <button type="button" class="btn btn-primary" id="btnSave">
                        <span class="glyphicon glyphicon-floppy-disk"></span> Save
                    </button>
                    &nbsp;
                    <button type="button" class="btn btn-primary" id="btnPublish">
                        <span class="glyphicon glyphicon-share"></span> Publish
                    </button>
                    &nbsp;
                    <button type="button" class="btn btn-primary" onclick="@("window.location.href='" + @Url.Action("StrategicImpact", "StrategicImpact") + "'");">
                        <span class="glyphicon glyphicon-circle-arrow-left"></span> Back
                    </button>
                </div>
            </div>
        </div>



    </div>
</div>
